> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List ASNs with optional filters

> List ASNs with optional filters

### Query parameters

<ParamField query="page" type="integer (int64)" />

<ParamField query="per_page" type="integer (int64)" />

<ParamField query="supplier_id" type="string (uuid)" />

<ParamField query="status" type="string" />

### Responses

<ResponseField name="200" type="ApiResponse_PaginatedResponse_AsnSummary">
  ASNs listed
</ResponseField>

<ResponseField name="401" type="ErrorResponse">
  Unauthorized
</ResponseField>

<ResponseField name="403" type="ErrorResponse">
  Forbidden
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.stateset.com/api/v1/asns' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "data": {
      "items": [
        {
          "asn_number": null,
          "created_at": null,
          "expected_delivery_date": null,
          "id": null,
          "shipping_address": null,
          "status": null,
          "supplier_id": null,
          "supplier_name": null,
          "updated_at": null
        }
      ],
      "limit": 1,
      "page": 1,
      "total": 1,
      "total_pages": 1
    },
    "errors": null,
    "message": null,
    "meta": null,
    "success": true
  }
  ```
</ResponseExample>
